Longest subarray with sum divisible by K | GfG problem of the day

Поділитися
Вставка
  • Опубліковано 12 вер 2024
  • Use coupon ALISHA on any GeeksforGeeks course to get 10% discount:
    practice.geeks...
    Join this channel to get access to perks:
    / @probabilitycodingisfu...
    Connect with me on LinkedIn : / alisha-parveen-80579850
    Check out our other playlists:
    Dynamic Programming:
    • Dynamic Programming
    Trees:
    • Trees
    Heaps and Maps:
    • Heaps and Maps
    Arrays and Maths:
    • Arrays and Maths
    Bit Manipulation:
    • Bit Manipulation
    Greedy Algorithms:
    • Greedy Algorithms
    Sorting and Searching:
    • Sorting and Searching
    Strings:
    • Strings
    Linked Lists:
    • Linked Lists
    Stack and Queues:
    • Stacks and Queues
    Two Pointers:
    • Two pointers
    Graphs, BFS, DFS:
    • Graphs, DFS, BFS
    Backtracking:
    • Backtracking
    Non- DSA playlists:
    Probability:
    • Probability
    SQL-Basic Join functions:
    • SQL - Basic JOIN Funct...
    SQL-Basic Aggregate functions:
    • SQL-Basic Aggregate Fu...

КОМЕНТАРІ • 44

  • @probabilitycodingisfunis1
    @probabilitycodingisfunis1  2 роки тому +10

    unordered_mapm;
    int ans = 0;

    m.insert({0,-1});
    int sum = 0;
    for(int i=0;i

    • @mathematics6199
      @mathematics6199 2 роки тому +1

      Didi, one best optmization that we can use is, maintain a vector of pairs of the prefix sum remainders and sort them. This is much useful because worst case complexity of unordered map is worser than the cost of sorting. And also hash map is much wastage of memory.

    • @joya9785
      @joya9785 2 роки тому

      @@mathematics6199 can you please explain it?

    • @mathematics6199
      @mathematics6199 2 роки тому

      @@joya9785 thats what I did na?

    • @joya9785
      @joya9785 2 роки тому

      @@mathematics6199 I mean if u have the sample code

    • @mathematics6199
      @mathematics6199 2 роки тому

      @@joya9785 haa okk

  • @krishnaradhey2814
    @krishnaradhey2814 Рік тому +5

    Literally I have seen many videos but have not got such clear explanation like you did here!!

  • @dheerajkumar824
    @dheerajkumar824 Рік тому +3

    it doesn't need extra 'n' complexity for sum (in brute force approach), it can be done within 'n^2' itself. Though it was further optimized.

  • @themarketverse
    @themarketverse 2 роки тому +7

    Nicely explained...You make these problems so easy...

  • @karma_kar9623
    @karma_kar9623 2 роки тому +5

    Can you solve competitive programing problems also i.e. codeforces? Your explanations are just phenomenal.

  • @shanayagupta4002
    @shanayagupta4002 2 роки тому +5

    di your explanation is very good. Thank u for delivering such quality content 😊😊😊😊

  • @gautamjangir8927
    @gautamjangir8927 2 роки тому +1

    The best explanation in the entire youtube ....THANKS

  • @lilyren7256
    @lilyren7256 2 роки тому +1

    awwww you are back! plz make more videos!!! And can you make a video to share how you start solving programming problems and what courses you have taken🥺🥺

    • @probabilitycodingisfunis1
      @probabilitycodingisfunis1  2 роки тому +1

      ❤❤❤Thank you Lily... Will try to make more videos, i just started Leetcode easy problems and moved to medium, I had taken GeeksforGeeks live DSA course

  • @inthearts4525
    @inthearts4525 8 місяців тому

    what an explanation... just awesome.. saw a lot of videos but such a great explanation was missing... subscribing you and looking forward for many more amazing and crystal clear explanations..

  • @notskinner2304
    @notskinner2304 2 роки тому +3

    Hard to come up with this in an interview ; I would be stuck after calculating prefix sum and would be confused how to do it using two pointers :(

  • @zishan53
    @zishan53 2 роки тому +1

    It's wonderful and nice explanation ...I seen various platforms videos but u among 🔥

  • @gigachad2419
    @gigachad2419 2 роки тому +2

    Do You Solve And Explain only LeetCode+GFG Or even CP Questions from CodeChef/Forces?

  • @AnuragYadav-nj2zc
    @AnuragYadav-nj2zc Рік тому

    Great explanation !!!

  • @NHCS_Rohit_Karmakar
    @NHCS_Rohit_Karmakar Рік тому +1

    literally the best explanation🔥

  • @gizmogaurav
    @gizmogaurav 2 роки тому

    You make the problem so easy. Thanks 👍

  • @sristysingh2175
    @sristysingh2175 2 роки тому +1

    glad to see you back❤❤

  • @chakravarty-with-a-v
    @chakravarty-with-a-v 2 роки тому

    Great Explanation! Thanks a Lot!

  • @joe0212
    @joe0212 2 роки тому

    Awesome. Can be slow. And, also can conclude by going through the logic once again.

  • @chestupheadup7410
    @chestupheadup7410 6 місяців тому

    well explained

  • @vivekpaliwal1876
    @vivekpaliwal1876 Рік тому

    Good explanation
    Keep it up, your channel has great future

  • @TheElevatedGuy
    @TheElevatedGuy Рік тому

    Thank you di

  • @reshmaparveen6679
    @reshmaparveen6679 Рік тому

    🎉🎉 nic explain madam

  • @abhisheknair5630
    @abhisheknair5630 2 роки тому

    Thank you very much

  • @samajayadeepu3476
    @samajayadeepu3476 2 роки тому

    well understood thanks

  • @Rajat_maurya
    @Rajat_maurya 2 роки тому

    Thank you

  • @Shadow-lx9rh
    @Shadow-lx9rh 2 роки тому

    Thank you again I'm able to solve this question and another question in leetcode which askd to count the number of subarray sum divisible by k (974)
    I just had to count the number of places where previously the remainder had occurred
    Thank yooooo soo much the way you explained -ve remainder concept and the whole problem was just marvelous.
    Thank you from the core of my heart. 🙏

  • @meandpenguinvlogs8221
    @meandpenguinvlogs8221 2 роки тому

    💯💯

  • @alishabeautyparlour6283
    @alishabeautyparlour6283 2 роки тому

    👍🏻

  • @vikasviplav8678
    @vikasviplav8678 6 місяців тому

    got the logic but not understanding the implementation, better to implement on its own @codewithalisa

  • @mayankshekhar4754
    @mayankshekhar4754 Рік тому

    well explained